Bug 848810 - Driver Failures with Terratec Phase 26
Driver Failures with Terratec Phase 26
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alsa-firmware (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 09:03 EDT by Tobias F.
Modified: 2012-08-29 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 15:19:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias F. 2012-08-16 09:03:53 EDT
Description of problem:

The Soundcard crashes every few hours and creates only noise on the outputs.
Also the Sound has many distrotions. 


Version-Release number of selected component (if applicable):


How reproducible:

The soundcard works more or less normally, but with distortions, but from time to time, when there is no music playing, the Soundcard-driver crashes and the soundcard creates noise with full level.

After disconnect the soundcard, reconnect and kill pulseaudio, the soundcard works normally, but with distortions, again.


Additional info:

The failure appeared around Mai in Fedora 16 and is also after upgrading to 17 still there.

dmesg-Output: disconnecting and connecting again:

[41785.205104] usb 6-2: USB disconnect, device number 6
[41787.160084] usb 6-2: new full-speed USB device number 7 using uhci_hcd
[41787.364099] usb 6-2: New USB device found, idVendor=0ccd, idProduct=0013
[41787.364105] usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=4
[41787.364109] usb 6-2: Product: PHASE 26 USB(16/48)
[41787.364112] usb 6-2: Manufacturer: TerraTec
[41787.364115] usb 6-2: SerialNumber: 11001
[41787.388102] ALSA sound/usb/mixer.c:866 2:0: cannot get min/max values for control 2 (id 2)
Comment 1 Tim Jackson 2012-08-18 13:18:01 EDT
Thanks for filing an issue. It's not obvious from the dmesg output or from some searching on the web that this sound card is indeed using firmware provided by the alsa-firmware package. What firmware is it using?

At this stage, there is not really enough information to help and since I don't have the hardware in question, I also can't attempt to reproduce it.

Please be aware that problems with sound can be caused by many different
software components within a Fedora system (including ALSA kernel modules,
PulseAudio, desktop volume controls, individual applications, firmware and more) and tracking down the problem closer would help to have a chance of getting it solved.

Help resources are listed here:
http://fedoraproject.org/en/get-help

Note You need to log in before you can comment on or make changes to this bug.